Package icyllis.modernui.view

# Class SoundEffectConstants

java.lang.Object
icyllis.modernui.view.SoundEffectConstants

public final class SoundEffectConstants extends Object
Constants to be used to play sound effects via `View.playSoundEffect(int)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CLICK`
  `static final int`
  `NAVIGATION_DOWN`
  Effect id for a navigation down
  `static final int`
  `NAVIGATION_LEFT`
  Effect id for a navigation left
  `static final int`
  `NAVIGATION_REPEAT_DOWN`
  Effect id for a repeatedly triggered navigation down, e.g.
  `static final int`
  `NAVIGATION_REPEAT_LEFT`
  Effect id for a repeatedly triggered navigation left, e.g.
  `static final int`
  `NAVIGATION_REPEAT_RIGHT`
  Effect id for a repeatedly triggered navigation right, e.g.
  `static final int`
  `NAVIGATION_REPEAT_UP`
  Effect id for a repeatedly triggered navigation up, e.g.
  `static final int`
  `NAVIGATION_RIGHT`
  Effect id for a navigation right
  `static final int`
  `NAVIGATION_UP`
  Effect id for a navigation up

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `getContantForFocusDirection(int direction)`
  Get the sonification constant for the focus directions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLICK

    public static final int CLICK
    See Also:
      - Constant Field Values

  - ### NAVIGATION_LEFT

    public static final int NAVIGATION_LEFT
    Effect id for a navigation left
    See Also:
      - Constant Field Values

  - ### NAVIGATION_UP

    public static final int NAVIGATION_UP
    Effect id for a navigation up
    See Also:
      - Constant Field Values

  - ### NAVIGATION_RIGHT

    public static final int NAVIGATION_RIGHT
    Effect id for a navigation right
    See Also:
      - Constant Field Values

  - ### NAVIGATION_DOWN

    public static final int NAVIGATION_DOWN
    Effect id for a navigation down
    See Also:
      - Constant Field Values

  - ### NAVIGATION_REPEAT_LEFT

    public static final int NAVIGATION_REPEAT_LEFT
    Effect id for a repeatedly triggered navigation left, e.g. due to long pressing a button
    See Also:
      - Constant Field Values

  - ### NAVIGATION_REPEAT_UP

    public static final int NAVIGATION_REPEAT_UP
    Effect id for a repeatedly triggered navigation up, e.g. due to long pressing a button
    See Also:
      - Constant Field Values

  - ### NAVIGATION_REPEAT_RIGHT

    public static final int NAVIGATION_REPEAT_RIGHT
    Effect id for a repeatedly triggered navigation right, e.g. due to long pressing a button
    See Also:
      - Constant Field Values

  - ### NAVIGATION_REPEAT_DOWN

    public static final int NAVIGATION_REPEAT_DOWN
    Effect id for a repeatedly triggered navigation down, e.g. due to long pressing a button
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getContantForFocusDirection

    public static int getContantForFocusDirection(int direction)
    Get the sonification constant for the focus directions.
    Parameters:
      `direction` - The direction of the focus.
    Returns:
      The appropriate sonification constant.
    Throws:
      `IllegalArgumentException` - when the passed direction is not one of the documented values.